package com.l7tech.helloworld;

import android.app.Activity;
import android.os.ResultReceiver;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import android.widget.Toast;

import com.l7tech.msso.app.App;
import com.l7tech.msso.service.MssoIntents;


public class EnterpriseBrowserApp extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_enterprise_browser_app);
        WebView webView = (WebView) findViewById(R.id.webView);
        App app = (App) getIntent().getExtras().getSerializable(MssoIntents.EXTRA_APP);
        app.renderWebView(this, webView, new ResultReceiver(null) {
            @Override
            protected void onReceiveResult(final int resultCode, final Bundle resultData) {
                EnterpriseBrowserApp.this.runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        if (resultData != null) {
                            String message = resultData.getString(MssoIntents.RESULT_ERROR_MESSAGE);
                            Toast.makeText(EnterpriseBrowserApp.this, message, Toast.LENGTH_LONG).show();
                            EnterpriseBrowserApp.this.onBackPressed();
                        }
                    }
                });
            }
        });
    }
}
